gnutls_pubkey_get_pk_algorithm(3)

NAME
gnutls_pubkey_get_pk_algorithm - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_get_pk_algorithm(gnutls_pubkey_t key, unsigned int * bits);

ARGUMENTS

gnutls_pubkey_t key
    should contain a gnutls_pubkey_t structure

unsigned int * bits
    If set will return the number of bits of the parameters (may be NULL)

DESCRIPTION
This function will return the public key algorithm of a public key and if possible will return a number of bits that indicates the security parameter of the key.

RETURNS
a member of the gnutls_pk_algorithm_t enumeration on success, or a negative error code on error.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/